:root {
    --clr-primary: #808080;
    --clr-secondary: #E9A62B;
    --white: #fff;
    --black: #000;
    --error: #E00000;
    --black-1: #404142;
    --clr-footer: #333;
    --grad-1: linear-gradient(90deg, rgba(128, 128, 128, 1) 18%, rgba(233, 166, 43, 1) 100%);
    --shadow-nav: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
    --shadow-1: 5px 5px 10px#0005;
    --shadow-inner: inset 5px 5px 10px #0005;
    --font-body: monospace;
    --font-content: monospace;
    --font-singolare: monospace;
    --txt-h1: 2rem;
    --txt-h2: 1.5rem;
    --txt-body: 1rem;
}


/* Base */

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    background: var(--white);
    font-family: var(--font-singolare);
    font-weight: 900;
    letter-spacing: .2px;
    transition: 0.5s;
    overflow-x: hidden;
}

li {
    list-style: none;
    padding-bottom: .8rem;
    z-index: 1;
    position: relative;
}

a {
    text-decoration: none;
    color: var(--clr-primary);
    padding: .8rem;
    cursor: pointer;
}

a:hover {
    color: var(--clr-secondary);
}

.ico-link:hover {
    fill: var(--clr-secondary);
}


/* Navbar */

#nav-bar {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    background-color: #fff;
    min-height: 5rem;
    align-items: center;
    transition: 0.5s;
    padding: 0 3rem;
    box-shadow: var(--shadow-nav);
}

#nav-brand {
    width: 15em;
    transition: 0.5s;
}

#nav-brand>a {
    margin: 0;
    transition: 0.5s;
    padding: 0;
}

#nav-menu {
    display: flex;
    gap: 1rem;
    flex-grow: 0;
    padding: 1rem;
    font-weight: 900;
    justify-content: space-between;
    text-transform: uppercase;
    letter-spacing: 2px;
    align-items: center;
    transition: 0.5s;
}

#nav-menu>.icon {
    display: none;
}

.nav-menu-icon>a>svg:hover {
    fill: var(--clr-secondary);
}

.primary {
    color: var(--clr-primary);
}

.secondary {
    color: var(--clr-secondary);
}


/* Main */

#main {
    font-family: var(--font-body);
    text-align: justify;
    /* font-size: 2vw; */
    font-weight: 500;
    margin-top: 5rem;
    overflow: hidden;
    min-height: 100vh;
    color: var(--clr-primary);
    font-size: 1rem;
}

#content {
    padding-inline: 10%;
    margin-inline: 4em;
}

.sect {
    display: flex;
    margin-block: 4rem;
    min-height: 25em;
}

.sect-title {
    font-size: 2rem;
    text-align: left;
}

.sect-link {
    margin-top: 5em !important;
    padding-inline: 3em !important;
    align-self: center;
}

.sect-thumb {
    position: relative;
    background: url(../img/thumb/science.jpg);
    background-position-x: 0%;
    background-position-y: 0%;
    background-size: auto;
    background-size: cover;
    background-position: center;
    color: #fff;
    text-align: center;
    min-height: 25em;
}

.sect-thumb>h1 {
    margin-top: 0;
    padding-top: 2em;
    font-size: 3em;
    text-shadow: 0 0 5px #333;
}

.sect-thumb>p {
    text-transform: uppercase;
    font-size: 2em;
    text-shadow: 0 0 5px #333;
}

.sect-img-1 {
    width: 60%;
    position: relative;
    background: url(../img/thumb/oranges.jpg);
    background-position-x: 0%;
    background-position-y: 0%;
    background-size: auto;
    background-size: cover;
    background-position: center;
    box-shadow: inset -2rem 0 30px #fff;
}

.sect-img-2 {
    width: 60%;
    position: relative;
    background: url(../img/thumb/radio_1.png);
    background-position-x: 0%;
    background-position-y: 0%;
    background-size: auto;
    background-size: cover;
    background-position: center;
    box-shadow: inset 2rem 0 30px #fff;
}

.sect-content {
    display: flex;
    flex-direction: column;
    padding: 2rem 4rem 4rem 4rem;
}

.lbl-info {
    text-transform: uppercase;
    color: var(--black-1);
    font-weight: 900;
}

.txt__info {
    padding-inline-start: 2em;
    margin-top: .1em;
}

.section-title {
    position: absolute;
    font-size: 2rem;
    top: 3rem;
    /* left: 15%; */
}

section .title {
    font-size: 3vw;
    text-transform: uppercase;
    padding-left: 2rem;
}

.main-title {
    position: relative;
    top: 80px;
    left: 6rem;
    background-color: var(--clr-secondary);
    width: 200px;
    height: 2rem;
    border-radius: 10px;
    box-shadow: 5px 5px 10px #0006;
}

.subtitle {
    color: var(--black-1);
    margin-top: 2em;
}

.txt-sep {
    border-bottom: dashed 3px var(--clr-primary);
}


/* Project */

.projects {
    margin: 2em 4em;
    display: flex;
    gap: 1em;
    justify-content: center;
    flex-direction: column;
}

.card {
    min-width: 10rem;
    border: solid 1px #eee;
    margin: 1em;
    padding: 1em;
    display: flex;
    flex: 1 1 auto;
    transition: .2s;
}

.card:hover {
    transform: scale(1.05);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);
}

.card_title {
    margin: 0 1em;
    text-align: left;
    font-weight: 900;
    font-size: 1.15rem;
}

.btn_view {
    margin: 1em;
    padding: 1em;
    background-color: var(--clr-secondary);
    max-width: fit-content;
    color: #fff;
}

.btn_view:hover {
    background-color: var(--clr-primary);
    color: #fff !important;
}

.card_image>img {
    max-width: 15rem;
}

.partners {
    display: flex;
    flex-wrap: wrap;
    gap: 3rem;
    justify-items: center;
}

.partners-col {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 3rem;
    justify-items: left;
}

.partners-col>.partner {
    align-self: flex-start;
    text-align: left;
}

.partner-1 {
    display: flex;
    flex-direction: row;
}

.partner-img {
    width: 25%;
    align-self: center;
    text-align: center;
}

.partner-content {
    padding-left: 1em;
    max-width: 70%;
}

.partner {
    flex: 1 1 auto;
    align-self: center;
    text-align: center;
}

.partner>img {
    max-height: 8rem;
    max-width: 8rem;
}

.partner>a>img {
    max-height: 8rem;
    max-width: 8rem;
}


/* FESR */

.brand__sf {
    text-align: center;
    margin: 4em;
}

.brand__sf>img {
    max-height: 8em;
}


/* Footer */

#footer {
    background-color: var(--clr-footer);
    color: var(--white);
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    position: relative;
    justify-content: space-around;
    letter-spacing: 1px;
    padding: 5rem 2rem;
}

.footer-container {
    /* text-shadow: 1px 1px 5px #000d; */
    flex: 2 1 33%;
}

.footer-title {
    font-size: 1.1rem;
    text-transform: uppercase;
    color: var(--clr-secondary);
    /* border-bottom: 3px solid var(--clr-secondary); */
}

.footer-label {
    font-size: .8rem;
    text-transform: uppercase;
    font-weight: 600;
    color: #ccc;
}

.footer-container>.footer-label {
    margin-top: 10px;
}

.footer-text {
    padding-bottom: 10px;
    font-size: .9rem;
}

.footer-end {
    font-size: .95rem;
    background-color: var(--black);
    color: var(--white);
    text-align: center;
    padding: .9rem 3rem;
    letter-spacing: 1px;
}

.footer-text>a {
    padding-left: 0;
    padding-bottom: 10px;
    font-size: .8rem;
    font-weight: 600;
    font-size: .9rem;
    color: var(--white);
}

.footer-text>a:hover {
    color: var(--clr-secondary);
}


/* Media */

@media screen and (min-width: 1200px) {
    .nav-menu-icon {
        display: none;
    }
    #payoff-vertical {
        display: none;
    }
    #payoff {
        display: inline;
    }
}

@media screen and (max-width: 1200px) {
    #nav-bar {
        display: inline;
        justify-content: space-around;
        padding: 0;
    }
    #nav-brand {
        padding-top: 1rem;
        margin-left: 1rem;
    }
    #nav-menu {
        padding: 0.5rem;
        flex-direction: column;
        align-content: center;
    }
    .nav-menu-item {
        transition: 0.5s;
        display: none;
    }
    .nav-menu-icon {
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        padding-top: 1rem;
    }
    #nav-menu.nav-responsive>.nav-menu-item {
        display: flex;
    }
    /* #main>section>.card-group {
        flex-direction: column;
    } */
    #footer-container {
        flex: 2 1 50%;
    }
    #payoff-vertical {
        display: none;
    }
    #payoff {
        display: inline;
    }
}

@media screen and (max-width: 1000px) {
    #main>section>.card-group {
        flex-direction: column;
        margin: 2rem;
    }
    #main>.sep-2 {
        margin-bottom: 5rem;
    }
    section>.title {
        font-size: 2rem;
    }
    .card-group {
        padding-inline: 2rem;
    }
    .card {
        flex-basis: auto;
        flex-direction: column;
    }
    .card_title {
        padding-block: 1em;
    }
    #payoff-vertical {
        display: inline;
    }
    #payoff {
        display: none;
    }
    .brand__sf>img {
        max-height: 6rem;
    }
}

@media screen and (max-width: 640px) {
    #main {
        font-size: 1rem;
    }
    #main h2 {
        font-size: 1.25rem;
    }
    #nav-brand {
        padding-top: 1rem;
        margin-left: 1rem;
    }
    .nav-menu-icon {
        padding-top: 1rem;
    }
    section>.card-group {
        margin: 2rem 0 !important;
    }
    section>.card-group>.card-reverse>.card-reverse-content>.card>.card-text,
    section>.card-group>.card>.card-text {
        font-size: 4vw;
    }
    #gestione_adempimenti>.section-title {
        /* position: unset; */
        text-align: center;
    }
    #util-docs>.card>.card-text {
        font-size: 1rem;
    }
    .customer-area {
        padding: 2rem 0 !important;
    }
    #footer {
        flex-direction: column;
        padding: 1rem;
    }
    .footer-container {
        padding: 1rem 2rem 0 2rem;
    }
    .footer-title {
        padding-top: 1rem;
    }
    .footer-end {
        font-size: .8rem;
    }
    #content {
        margin-inline: 0 !important;
    }
    .projects {
        flex-direction: column;
    }
    .projects>h1 {
        padding-inline-start: 1rem;
    }
    .card_image {
        display: flex;
        padding-inline: inherit;
    }
    .partner-1 {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .partner-img {
        width: auto;
    }
    .brand__sf>img {
        max-height: 5rem;
    }
}

.left {
    justify-content: start;
}

.center {
    justify-content: center;
}

.right {
    justify-content: right;
}

.white {
    background-color: white;
}

.separator {
    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
    padding: 0;
    width: 100%;
    height: .5em;
    background-color: var(--clr-primary);
}

.separator::before {
    content: '';
    position: relative;
    display: flex;
    width: 30%;
    height: 100%;
    background-color: var(--clr-secondary);
}

.fixed {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: white;
    z-index: 999;
}

.fixed>.separator {
    position: relative;
    top: 100%;
}

.loader {
    content: url("../img/ultranova_loading.svg");
    width: 3rem;
    /* Safari */
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
}


/* Animations */

@-webkit-keyframes spin {
    /* Safari */
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

input,
select {
    font-weight: 500;
    font-size: max(.7vw, 1rem);
}

input[type=text],
input[type=email],
input[type=date],
input[type=number],
input[type=tel],
textarea {
    /* width: 100%; */
    padding: 1rem;
    border-radius: 2rem;
    border: 1px solid var(--clr-primary);
    min-width: -moz-available;
    min-width: -webkit-fill-available;
}

input[type=text]:focus-visible,
input[type=email]:focus-visible,
input[type=date]:focus-visible,
input[type=number]:focus-visible,
input[type=tel]:focus-visible,
textarea:focus-visible {
    outline: 3px solid var(--clr-primary) !important;
}

input[type=reset],
input[type=submit],
.btn {
    padding: 1rem;
    border-radius: 2rem;
    border: 1px solid var(--clr-primary);
    text-transform: uppercase;
    font-weight: 900;
    background-color: transparent;
}

input[type=submit],
.btn {
    background-color: var(--clr-primary);
    color: var(--white);
    border: none;
}

input[type=submit]:hover,
input[type=submit]:focus,
.btn:hover,
.btn:focus {
    background-color: var(--clr-secondary);
    color: var(--clr-primary);
}

.btn {
    max-width: max-content;
    margin-inline: auto;
    height: fit-content;
    font-size: 2rem;
}

input[type=reset] {
    color: var(--clr-primary);
}

input[type=reset]:hover,
input[type=reset]:focus {
    background-color: var(--clr-primary);
    color: var(--white);
}

textarea {
    resize: none;
}

select {
    width: 100%;
    padding: 1rem;
    border-radius: 2rem;
    border: 1px solid var(--clr-primary);
    background-color: transparent;
}

.note {
    position: relative;
    bottom: 0;
    font-style: oblique;
    font-weight: 100;
    font-size: 1rem;
    color: rgb(255, 42, 42);
}

label {
    font-size: 1rem;
    max-width: max-content;
    font-weight: 400;
    padding-bottom: 4rem;
}